Bug 239445 - databases/freetds fetch fails
Summary: databases/freetds fetch fails
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Muhammad Moinur Rahman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-25 18:06 UTC by p5B2E9A8F
Modified: 2019-08-11 20:29 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (bofh)
p5B2E9A8F: maintainer-feedback?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description p5B2E9A8F 2019-07-25 18:06:30 UTC
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
=> freetds-1.1.11.tar.bz2 doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch ftp://ftp.freetds.org/pub/freetds/stable/freetds-1.1.11.tar.bz2
fetch: ftp://ftp.freetds.org/pub/freetds/stable/freetds-1.1.11.tar.bz2: Bad Request
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/freetds-1.1.11.tar.bz2
fetch: http://distcache.FreeBSD.org/ports-distfiles/freetds-1.1.11.tar.bz2: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /portdistfiles/ and try again.
*** Error code 1

Trying to fetch manually failed also, please also note the redirect 

fetch -v https://astron.com/pub/freetds/stable/freetds-1.1.11.tar.bz2
resolving server address: 172.17.17.78:8118
SSL options: 83004bff
Peer verification enabled
Using CA cert file: /usr/local/etc/ssl/cert.pem
Verify hostname
TLSv1.2 connection established using ECDHE-RSA-AES256-GCM-SHA384
Certificate subject: /CN=astron.com
Certificate issuer: /C=US/O=Let's Encrypt/CN=Let's Encrypt Authority X3
requesting https://astron.com/pub/freetds/stable/freetds-1.1.11.tar.bz2


404 Not Found

Not Found
The requested URL /pub/freetds/stable/freetds-1.1.11.tar.bz2 was not found on this server.

fetch: https://astron.com/pub/freetds/stable/freetds-1.1.11.tar.bz2: Not Found


Please be advised that scheme ftp may be obsolete due to security restrictions. So please add a http or better https master site if possible.
Comment 1 p5B2E9A8F 2019-07-30 10:54:18 UTC
Please see https://www.freetds.org/software.html there "All files via HTTP 	Web distribution"
find this: https://www.freetds.org/files/stable/
and add a master_site that works!
Comment 2 Muhammad Moinur Rahman freebsd_committer 2019-08-01 09:59:11 UTC
Fetch from ftp works. Maybe it was a temporary glitch. ButI will add the https site on the next release. Keeping this open for now.
Comment 3 commit-hook freebsd_committer 2019-08-11 16:46:17 UTC
A commit references this bug:

Author: bofh
Date: Sun Aug 11 16:45:54 UTC 2019
New revision: 508632
URL: https://svnweb.freebsd.org/changeset/ports/508632

Log:
  databases/freetds: Update version 1.1.11=>1.1.12

  - Add https MASTER_SITES [1]

  PR:		239445 [1]
  Submitted by:	p5B2E9A8F@t-online.de [1]

Changes:
  head/databases/freetds/Makefile
  head/databases/freetds/distinfo
Comment 4 commit-hook freebsd_committer 2019-08-11 20:29:36 UTC
A commit references this bug:

Author: bofh
Date: Sun Aug 11 20:28:36 UTC 2019
New revision: 508670
URL: https://svnweb.freebsd.org/changeset/ports/508670

Log:
  databases/freetds-devel: Update version 1.1.50=>1.1.51

  - Add https MASTER_SITES [1]

  PR:		239445 [1]
  Submitted by:	p5B2E9A8F@t-online.de [1]

Changes:
  head/databases/freetds-devel/Makefile
  head/databases/freetds-devel/distinfo